<?
require_once('include/global.php');
require_once('include/admin_lib.php');
#require_once('sadmin_conf.inc.php');

mail_server_check_limit();		// 메일서버가 동작중인지 확인

// check
	if (!$_POST['m_id'] || !$_POST['m_name'])
		msg('올바른	URL로 접근하여 주십시오');

	if ($_GET['isadmin'])
	{
		auth_limit('admin');
		$_POST['sa_d_no'] = $G['DINFO']['d_no'];
	} else
	{
		auth_limit('serveradmin');

		// 사용가능한 도메인인지 확인.
			$sql = "SELECT d_name FROM ".$TB['DOMAIN']." WHERE d_no='". $_POST['sa_d_no'] . "' AND d_is_use='Y' ";
			$G_SYS['MAIL_DOMAIN'] = db_get_one($sql);
			if ($G_SYS['MAIL_DOMAIN'] == '')
				msg("존재하지 않거나 사용할 수 없는 도메인입니다.\\n\\n확인후 다시 시도하여 주십시오.");
	}	// if()

	$_POST['m_id'] = strtolower($_POST['m_id']);		// 소문자만 허용
	$_POST['m_name'] = strtolower($_POST['m_name']);		// 소문자만 허용

	// 메일 수신 계정 존재여부
	$q = "SELECT COUNT(*) FROM ".$TB['MEMBER']." WHERE m_id='".$_POST['m_name']."' AND d_no='".$_POST['sa_d_no']."' AND m_usertype IS NULL";
	$mbr_cnt = db_get_one($q);
	if ($mbr_cnt < 1)
		msg("메일 수신 계정이 존재하지 않습니다. => ".$_POST['m_name']."\\n\\n[회원관리]에서 실제 존재하는 아이디를 입력하셔야 합니다.");

	// 중복여부 체크
	$m_name_cnt = db_get_one("
			SELECT
				COUNT(*)
			FROM
				" . $TB['MEMBER'] . "
			WHERE
				m_id='" . $_POST['m_id'] . "'
				AND d_no='" . $_POST['sa_d_no'] . "'
			");
	if ($m_name_cnt > 0)
		msg("이미 사용된 아이디입니다.");

	


// data
	to_db_str(&$_POST['m_name'], 255);
	to_db_str(&$_POST['m_memo'], $G_SYS['DB_TEXT']);


	// 앨리어스 주소 추가
		$m_usertype = 'A';		// Alias User
		$m_mail_file_group = get_mail_file_group_now($_POST['sa_d_no']);
		// not null - m_no, d_no, m_id, m_pwd, m_level, m_name, m_is_use, m_mail_file_group, m_quota, m_bigfile_quota, m_webhard_quota, m_forwarding_type, m_regdate, m_reghost, m_login_cnt, m_autoreply_isuse, m_svc_smtp, m_svc_pop3, m_usertype
		$q = "INSERT INTO ".$TB['MEMBER']." (m_no, d_no, m_id, m_pwd, m_level, m_name, m_is_use, m_mail_file_group, m_quota, m_bigfile_quota, m_webhard_quota, m_forwarding_type, m_regdate, m_reghost, m_login_cnt, m_autoreply_isuse, m_svc_smtp, m_svc_pop3, m_cfg_from_addr, m_usertype, m_memo)";
		$q .= " VALUES (".db_sqc_next($TB['MEMBER']).", '".$_POST['sa_d_no']."', '".$_POST['m_id']."', '', 0, '".$_POST['m_name']."', 'Y', '".$m_mail_file_group."', 0, 0, 0, 'N', '".date("Y-m-d H:i:s")."', '".$_SERVER['REMOTE_ADDR']."', 0, 'N', 'N', 'N', '".$_POST['m_cfg_from_addr']."', '".$m_usertype."', '".$_POST['m_memo']."')";
		db_query($q);

		$curr_m_no = db_sqc_curr($TB['MEMBER']);		// 삽입된 데이타 키

	// 웹메일용 처리.
		mbr_alias_add($_POST['m_name'], $_POST['m_id']);


// end
	//msg("추가되었습니다.", 0);
	if ($_GET['is_window_close'])
	{
		?>
			<script language="JavaScript">
			<!--
				window.close();
			//-->
			</script>
		<?
	} else if ($_POST['back_url'])
	{
		movepage($_POST['back_url']);
	} else
	{
		movepage('admin_alias_list.php?'.get_qs('d_no'));
	}	// if()

require_once('include/global_end.php');
?>